Apple stelt oudere versies apps beschikbaar voor oudere firmwares [update]

Apple maakt het mogelijk om oudere versies van apps te downloaden voor gebruikers die geen iOS 7 hebben, zodat de applicaties nog draaien.
Bart Breij - · Laatst bijgewerkt:

Oudere versie app downloadenBezitters van een oudere iPhone of iPad hoeven niet bang te zijn voor de komst van iOS 7 op 18 september. Apple lijkt rekening te houden met deze oudere iDevices, zo blijkt uit een screenshot geplaatst op Reddit op. Een gebruiker van bijvoorbeeld iOS 5 kan een oudere versie van een app downloaden, die nog wel op iOS 5 werkt. Je hoeft dan niet te voldoen aan de systeemeisen van nieuwere apps die voor iOS 7 zijn gemaakt .

Het downloaden van oudere versies van applicaties is net zo eenvoudig als het downloaden van nieuwe apps. Je gaat naar de App Store en selecteert een app. Als jouw toestel de nieuwste update niet ondersteunt zie je een melding dat je de laatste geschikte versie van een applicatie kan installeren. Er geldt wel de aanvullende beperking dat de apps zelf natuurlijk ook nog ondersteuning moeten bieden voor oudere firmwares. Een voorbeeld daarvan is WhatsApp, die alleen nog werkt met iOS 4.3 en hoger.

Het bericht is goed nieuws voor bezitters van iDevices ouder dan een iPhone 4, iPad 2, iPad mini of vijfde generatie iPod touch. Oudere toestellen komen namelijk niet in aanmerking voor iOS 7. Het is nog onbekend hoe ver de ondersteuning teruggaat, maar op Reddit melden gebruikers van een iPad 1, iPhone 3G en iPod touch 2de generatie eveneens dat ze oudere versies van apps kunnen downloaden.

Dat applicaties blijven werken op oudere versies van iOS, is bovendien handig voor ontwikkelaars. Die kunnen zich zorgeloos storten op nieuwere versies van hun apps en hoeven minder rekening te houden met oudere toestellen. Zo kunnen apps sneller vernieuwd worden. Toch zijn er ook nadelen: het kan de fragmentatie tussen apps vergroten en nieuw toegevoegde functionaliteit in een app is alleen bereikbaar voor mensen die toch iOS 7 installeren. Als applicaties voor oudere iOS-versies niet langer worden vernieuwd, kan het verschil met de iOS 7-versie van een app steeds groter worden.

Via TNW

Apple heeft inmiddels de nieuwe mogelijkheid officieel aangekondigd in een bericht aan ontwikkelaars. Het is volgens Apple ook mogelijk om te beheren welke app-versies een developer beschikbaar stelt voor eerdere iOS-versies.

Suggestie hoe we dit artikel kunnen verbeteren? Laat het ons weten!

Informatie

Laatst bijgewerkt 5 februari 2014, 12:23
Categorieën Apple, iOS
Onderwerpen firmware, ios 7

Reacties zijn gesloten voor dit artikel.